body.theme-sweet {
  --title: #f7bff2;
  --title-shadow: #cc85ff;
  --title-text: #000;
  --menu-background: #f7bff2;
  --menu-foreground: #cc85ff;
}

body.theme-gothic {
  --title: #fdf2f8;
  --title-shadow: #000;
  --title-text: #000;
  --menu-background: #fdf2f8;
  --menu-foreground: #000;
}

body.theme-classic {
  --title: #edbe69;
  --title-shadow: #b50000;
  --title-text: #000;
  --menu-background: #edbe69;
  --menu-foreground: #b50000;
}

.toolbar {
  position: fixed;
  top: 16px;
  left: 22px;
  right: 22px;
  z-index: 11;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.back-title-wrapper {
  flex: 1;
  background: var(--title);
  box-shadow: 4px 3px 0 var(--title-shadow);
  border-radius: 32px;
  margin-right: var(--spacing);
  display: flex;
  color: var(--title-text);
  min-width: 0;
  overflow: hidden;
}

.toolbar h1 {
  margin: 0;
  padding: 5px;
  padding-left: var(--spacing-small);
  display: flex;
  color: inherit;
  font-size: var(--primary-font-size-medium);
  font-family: var(--primary-font);
  min-width: 0;
  flex: 1;

  span {
    white-space: nowrap;
    text-overflow: ellipsis;
    min-width: 0;
    overflow: hidden;
    flex: 1;
    position: relative;
    top: 3px;
  }
}

[menu-button] {
  z-index: 12;
}

[mel-button].back-to-home {
  position: absolute;
  top: 64px;
  left: -18px;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  background-color: var(--menu-background);
  box-shadow: 4px 3px 0 var(--menu-foreground);
  color: var(--menu-foreground);
  transition: background-color 330ms linear, box-shadow 330ms linear, color 330ms linear;
  display: flex;
  justify-content: center;
  align-items: center;

  svg {
    width: 26px;
    height: 26px;
    fill: var(--menu-foreground);
  }
}
